public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
* [gentoo-commits] gentoo-x86 commit in sci-mathematics/frobby: frobby-0.9.0.ebuild ChangeLog metadata.xml
@ 2012-07-04  6:27 Justin Lecher (jlec)
  0 siblings, 0 replies; only message in thread
From: Justin Lecher (jlec) @ 2012-07-04  6:27 UTC (permalink / raw
  To: gentoo-commits

jlec        12/07/04 06:27:07

  Modified:             frobby-0.9.0.ebuild ChangeLog metadata.xml
  Log:
  sci-mathematics/frobby: Fix for build with gcc-4.7, #424663; handle static-libs
  
  (Portage version: 2.2.0_alpha115/cvs/Linux x86_64)

Revision  Changes    Path
1.5                  sci-mathematics/frobby/frobby-0.9.0.ebuild

file : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/sci-mathematics/frobby/frobby-0.9.0.ebuild?rev=1.5&view=markup
plain: http://sources.gentoo.org/viewvc.cgi/gentoo-x86/sci-mathematics/frobby/frobby-0.9.0.ebuild?rev=1.5&content-type=text/plain
diff : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/sci-mathematics/frobby/frobby-0.9.0.ebuild?r1=1.4&r2=1.5

Index: frobby-0.9.0.ebuild
===================================================================
RCS file: /var/cvsroot/gentoo-x86/sci-mathematics/frobby/frobby-0.9.0.ebuild,v
retrieving revision 1.4
retrieving revision 1.5
diff -u -r1.4 -r1.5
--- frobby-0.9.0.ebuild	18 May 2012 16:32:13 -0000	1.4
+++ frobby-0.9.0.ebuild	4 Jul 2012 06:27:07 -0000	1.5
@@ -1,19 +1,19 @@
 # Copyright 1999-2012 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/sci-mathematics/frobby/frobby-0.9.0.ebuild,v 1.4 2012/05/18 16:32:13 tomka Exp $
+# $Header: /var/cvsroot/gentoo-x86/sci-mathematics/frobby/frobby-0.9.0.ebuild,v 1.5 2012/07/04 06:27:07 jlec Exp $
 
 EAPI=4
 
 inherit eutils
 
-DESCRIPTION="Frobby is a software system and project for computations with monomial ideals"
+DESCRIPTION="Software system and project for computations with monomial ideals"
 HOMEPAGE="http://www.broune.com/frobby/"
 SRC_URI="http://www.broune.com/frobby/frobby_v${PV}.tar.gz"
 
 LICENSE="GPL-2"
 SLOT="0"
 KEYWORDS="amd64 x86"
-IUSE="doc"
+IUSE="doc static-libs"
 
 RDEPEND="dev-libs/gmp[cxx]"
 DEPEND="${RDEPEND}
@@ -22,9 +22,11 @@
 S="${WORKDIR}/frobby_v${PV}"
 
 src_prepare() {
-	epatch "${FILESDIR}/${PN}-cflags-no-strip.patch"
+	epatch \
+		"${FILESDIR}/${PN}-cflags-no-strip.patch" \
+		"${FILESDIR}/${PN}-gcc-4.7.patch"
 	# CXXFLAGS are called CPPFLAGS
-	sed "s/CPPFLAGS/CXXFLAGS/" -i Makefile
+	sed "s/CPPFLAGS/CXXFLAGS/" -i Makefile || die
 }
 
 src_compile() {
@@ -32,20 +34,18 @@
 	# breaking cross-compile.
 	CXX=$(tc-getCXX) emake
 	CXX=$(tc-getCXX) emake library
-	if use doc; then
-		emake docPdf
-	fi
+	use doc && emake docPdf
 }
 
 src_install() {
 	dobin bin/frobby
-	dolib.a bin/libfrobby.a
+	use static-libs && dolib.a bin/libfrobby.a
+
 	insinto /usr/include
 	doins src/frobby.h
-	dodir /usr/include/"${PN}"
+
 	insinto /usr/include/"${PN}"
 	doins src/stdinc.h
-	if use doc; then
-		dodoc bin/manual.pdf
-	fi
+
+	use doc && dodoc bin/manual.pdf
 }



1.12                 sci-mathematics/frobby/ChangeLog

file : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/sci-mathematics/frobby/ChangeLog?rev=1.12&view=markup
plain: http://sources.gentoo.org/viewvc.cgi/gentoo-x86/sci-mathematics/frobby/ChangeLog?rev=1.12&content-type=text/plain
diff : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/sci-mathematics/frobby/ChangeLog?r1=1.11&r2=1.12

Index: ChangeLog
===================================================================
RCS file: /var/cvsroot/gentoo-x86/sci-mathematics/frobby/ChangeLog,v
retrieving revision 1.11
retrieving revision 1.12
diff -u -r1.11 -r1.12
--- ChangeLog	18 May 2012 16:32:13 -0000	1.11
+++ ChangeLog	4 Jul 2012 06:27:07 -0000	1.12
@@ -1,6 +1,10 @@
 # ChangeLog for sci-mathematics/frobby
 # Copyright 1999-2012 Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/sci-mathematics/frobby/ChangeLog,v 1.11 2012/05/18 16:32:13 tomka Exp $
+# $Header: /var/cvsroot/gentoo-x86/sci-mathematics/frobby/ChangeLog,v 1.12 2012/07/04 06:27:07 jlec Exp $
+
+  04 Jul 2012; Justin Lecher <jlec@gentoo.org> frobby-0.9.0.ebuild,
+  +files/frobby-gcc-4.7.patch, metadata.xml:
+  Fix for build with gcc-4.7, #424663; handle static-libs
 
   18 May 2012; Thomas Kahle <tomka@gentoo.org> -files/frobby-latex.patch,
   -files/frobby-useless-checks.patch, -frobby-0.8.2-r1.ebuild,



1.2                  sci-mathematics/frobby/metadata.xml

file : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/sci-mathematics/frobby/metadata.xml?rev=1.2&view=markup
plain: http://sources.gentoo.org/viewvc.cgi/gentoo-x86/sci-mathematics/frobby/metadata.xml?rev=1.2&content-type=text/plain
diff : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/sci-mathematics/frobby/metadata.xml?r1=1.1&r2=1.2

Index: metadata.xml
===================================================================
RCS file: /var/cvsroot/gentoo-x86/sci-mathematics/frobby/metadata.xml,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- metadata.xml	6 Nov 2010 17:55:32 -0000	1.1
+++ metadata.xml	4 Jul 2012 06:27:07 -0000	1.2
@@ -1,12 +1,12 @@
 <?xml version="1.0" encoding="UTF-8"?>
 <!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
 <pkgmetadata>
-<maintainer>
-  <email>tomka@gentoo.org</email>
-  <name>Thomas Kahle</name>
-</maintainer>
-<herd>sci</herd>
-<longdescription lang="en">
+	<maintainer>
+		<email>tomka@gentoo.org</email>
+		<name>Thomas Kahle</name>
+	</maintainer>
+	<herd>sci</herd>
+	<longdescription lang="en">
 Frobby is a software system and library for computations with monomial ideals. 
 </longdescription>
 </pkgmetadata>






^ permalink raw reply	[flat|nested] only message in thread

only message in thread, other threads:[~2012-07-04  6:27 UTC | newest]

Thread overview: (only message) (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2012-07-04  6:27 [gentoo-commits] gentoo-x86 commit in sci-mathematics/frobby: frobby-0.9.0.ebuild ChangeLog metadata.xml Justin Lecher (jlec)

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox